# EclipseSourceDirectory

interface EclipseSourceDirectory : SourceDirectory, EclipseClasspathEntry

A source directory in an Eclipse project.

## Functions

getAccessRules
Link copied to clipboard
abstract fun getAccessRules(): DomainObjectSet<out AccessRule>
getClasspathAttributes
Link copied to clipboard
abstract fun getClasspathAttributes(): DomainObjectSet<out ClasspathAttribute>
getDirectory
Link copied to clipboard
abstract fun getDirectory(): File
getExcludes
Link copied to clipboard
abstract fun getExcludes(): List<String>
Returns the exclude patterns for this source directory.
getIncludes
Link copied to clipboard
abstract fun getIncludes(): List<String>
Returns the include patterns for this source directory.
getOutput
Link copied to clipboard
@Nullable
abstract fun getOutput(): @Nullable String
Returns the output location of this source directory.
getPath
Link copied to clipboard
abstract fun getPath(): String
Returns the relative path for this source directory.